Page MenuHomePhabricator

Editing image captions in the app
Closed, ResolvedPublic

Description

Conceptual descriptions

  • Requirements: Image caption editing in the app is available to everyone and does not depend previously unlocked “Suggested edit“ tasks
  • Show structured image caption if available. If image does not have a structured caption, output unstructured data.
    • Path A: If structured caption is available, the pencil button leads users to the standard edit screen
    • Path B: If structured caption is unavailable, the pencil button leads users to an edit screen that includes the unstructured description
  • Show structured image caption if available. If image does not have a structured caption, output unstructured data.
  • Edit flow bases on T224051
  • When publishing a translation, the snackbar should say: “German caption published!”
  • When publishing an edit, the snackbar should say: “Caption published!”

Visuals

Path A: If structured caption is available, the pencil button leads users to the standard edit screen
Path B: If structured caption is unavailable, the pencil button leads users to an edit screen that includes the unstructured description

👉Zeplin: T223129 | Editing image captions in the app

Event Timeline

Charlotte renamed this task from Add caption translation workflow to Caption translation workflow.May 21 2019, 4:43 PM
schoenbaechler renamed this task from Caption translation workflow to Editing image captions.May 22 2019, 2:50 PM
schoenbaechler renamed this task from Editing image captions to Editing image captions in the app.
schoenbaechler updated the task description. (Show Details)

Some input/ideas from @alexhollender (thanks!):

  • Add support text below caption about the transition from descriptions to captions
  • Slightly grey out description more?
  • Always show description to make it more consistent (also when there’s a structured caption)
  • User testing, do people question this interface at all or do users don’t think about it in detail?
  • Alternative label ideas for “Description“: “Expired caption“, “Out of date caption“, ”Context”

@schoenbaechler - I think we should try a version with a little more support text. Definitely should do some user testing to figure out which of the two is preferable.

Don't forget to change the text on the confirmation page to say "this image caption" instead of "title description"

This comment was removed by schoenbaechler.
Charlotte raised the priority of this task from Normal to High.May 28 2019, 4:56 PM
Dbrant reassigned this task from Dbrant to cooltey.Jun 5 2019, 4:17 PM
Dbrant added a subscriber: Dbrant.
cooltey removed cooltey as the assignee of this task.Jun 7 2019, 5:57 PM
cooltey added a subscriber: cooltey.

Thanks for working on this @Dbrant, all issues related to this task are listed in T225635. Moving this to QA signoff.

ABorbaWMF added a subscriber: ABorbaWMF.

Looking good on 2.7.50282-alpha-2019-07-08

Dbrant closed this task as Resolved.Jul 11 2019, 3:52 PM